# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fadss_lite/version'

Gem::Specification.new do |spec|
  spec.name          = "fadss_lite"
  spec.version       = FadssLite::VERSION
  spec.authors       = ["Rikiya Kawakami"]
  spec.email         = ["ricky.k.yang@gmail.com"]
  spec.summary       = 'FADSS REST API client for Ruby.'
  spec.description   = 'FADSS REST API client for Ruby.'
  spec.homepage      = "https://github.com/jue58/fadss_lite"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "excon", ">=0.39.5"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency 'guard-rspec'
  spec.add_development_dependency 'guard-rubocop'
  spec.add_development_dependency 'webmock'
end
